WordPress.org

Ready to get started?Download WordPress

Forums

Problem with post-new.php in v2.1 (10 posts)

  1. davidmwilliams
    Member
    Posted 7 years ago #

    Since upgrading to version 2.1 I can no longer make posts :(

    When I go to page /wp-admin/post-new.php I get a script error:

    Line: 173
    Char: 290
    Error: Access is denied
    Code: 0
    URL: http://......./wp-admin/post-new.php

    Everything on the page looks ok, but I can't click into the body of the posting or enter any text there. (I can type a heading ok, just not the body.)

    If I refresh the page I get a different error:

    Line: 122
    Char: 22
    Error: 'this.contentWindows.document' is null or not an object
    Code: 0
    URL: http://......./wp-admin/post-new.php

    Any thoughts? I've deleted the site and re-downloaded WordPress 2.1, re-uploading to the site, but with no avail.

  2. Santaclaes
    Member
    Posted 7 years ago #

    I have the exact sam problem... have tryed everything I can think of without any result. It seemes like whe are not the only ones with this problem so I really hope we can find a soulution soon!

  3. Santaclaes
    Member
    Posted 7 years ago #

  4. davidmwilliams
    Member
    Posted 7 years ago #

    I downloaded the latest version of tinymce just now and uploaded it to my site but alas, no success - the same problem. :(

  5. stufyles
    Member
    Posted 7 years ago #

    I've found that it's associated with the domain used in the URL to post-new.php. E.g., if you call it from http://www.example.org/demo/wp-admin/post-new.php it'll work, but if you call it from http://example.org/demo/wp-admin/post-new.php it won't.

    The post-new.php page seems to contain some JS (I guess it uses AJAX) to do something, and asks for a resource from a specified domain. If that domain doesn't match that in the URL to your post-new.php page, the browser will disallow it for security reasons (cross-browsing cookies, etc.).

    Hope this helps.

  6. phatoneusa
    Member
    Posted 7 years ago #

    Has anyone figured out howto fix this problem, I have 2.1 too and I am having this problem.

    Edit:
    Fixed it by re-installing the TinyMCE from the Worpdpress 2.1 distro package.

  7. phatoneusa
    Member
    Posted 7 years ago #

    Actually it didn't fix it and when I re-installed I still have the same problem.

  8. jmhumr
    Member
    Posted 7 years ago #

    I fixed my problem! Follow stufyles advice.

    1. Go to "Options"
    2. Change "WordPress Address" from "http://siteaddy.com" to "http://www.siteaddy.com"
    3. Change "Blog Address" from "http://siteaddy.com" to "http://www.siteaddy.com"

    For some stupid reason they don't put the www in there on the install. I found that wierd from the start, but I didn't realize it would cause such a fuss.

  9. davidmwilliams
    Member
    Posted 7 years ago #

    I'm still getting this problem, even in 2.1.2

  10. kbug44
    Member
    Posted 6 years ago #

    Thank you SO MUCH to stufyles and jmhumr. It makes so much sense now.... :) I'm so glad I wasted three days on this problem! haha

    THANK YOU!!!

Topic Closed

This topic has been closed to new replies.

About this Topic